Bug 16077 - [FO30] format-number example is wrong
[FO30] format-number example is wrong
Status: CLOSED FIXED
Product: XPath / XQuery / XSLT
Classification: Unclassified
Component: Functions and Operators 3.0
Last Call drafts
PC All
: P2 normal
: ---
Assigned To: Michael Kay
Mailing list for public feedback on specs from XSL and XML Query WGs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-22 15:38 UTC by Matthias Brantner
Modified: 2013-02-16 12:46 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Brantner 2012-02-22 15:38:30 UTC
The example for format-number should be changed from

format-number(12345.6, '#,###.00')

to

format-number(12345.6, '#.###,00')

The XQuery spec states that the default for the decimal-separator is (.) and the grouping-separator is (,). With those defaults, the current example raises an error.
Comment 1 Matthias Brantner 2012-03-17 01:48:36 UTC
I think Michael Kay has already changed it in the latest version of the F&O document. He sent an email about it: https://lists.w3.org/Archives/Member/w3c-xsl-query/2012Feb/0069.html
Comment 2 Petr Kadlec 2013-02-14 10:45:13 UTC
I see this has been changed between the 20111213 working draft and the 20130108 candidate recommendation from '#.###,00' to '#,###.00' (which is the exact opposite of what the bug says!), so maybe this could be closed now?
Comment 3 Michael Kay 2013-02-16 12:46:31 UTC
I hope we have finally got this simple example right!